Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Split a PDF into multiple documents by page ranges.
POST https://api.getdeckle.dev/v1/pdf/split
pdf
ranges
[start]
[start, end]
output
"url"
"base64"
[1]
[1, 3]
[[1, 2], [5, 8]]
curl -X POST https://api.getdeckle.dev/v1/pdf/split \ -H "Authorization: Bearer dk_live_sk_..." \ -H "Content-Type: application/json" \ -d '{ "pdf": "<base64-encoded-pdf>", "ranges": [[1, 3], [4, 6]], "output": "url" }'
{ "parts": [ { "url": "https://cdn.getdeckle.dev/gen_abc123.pdf", "file_size": 45230 }, { "url": "https://cdn.getdeckle.dev/gen_def456.pdf", "file_size": 32100 } ], "total": 2 }
{ "parts": [ { "data": "<base64-encoded-pdf>", "file_size": 45230 }, { "data": "<base64-encoded-pdf>", "file_size": 32100 } ], "total": 2 }
VALIDATION_ERROR
UNAUTHORIZED
RATE_LIMITED
INTERNAL_ERROR